<!doctype html>
<html>
<head>
    <%- include partials/page-head.ejs %>
    <title>Musicoin</title>
    <style>
        body {
            background-color: #333;
            color: #eee;
            background-repeat: no-repeat;
            background-attachment: fixed;
            background-size: cover;
        }
        .home_icon {
            height: 80px;
        }
        .free-play-count {
            font-size: 72px;
            line-height: 0.9;
            text-align: center;
            margin-top: 20px;
            color: #e4aa17;
        }
    </style>
    <link rel="stylesheet" href="/styles/track-message.css">
</head>
<body>
    <%- include partials/header.ejs %>

    <%- include('partials/hero.ejs', {}) %>

    <div class="two-columns white-well box-shadow-top">
            <div class="pad10">
                <% if (typeof topPlayedLastWeek != "undefined") { %>
                <%- include('partials/top-release-chart.ejs', {releases: topPlayedLastWeek, title: "top played", elementEndpoint: "top-played-period"}) %>
                <% } %>

                <% if (typeof topTippedLastWeek != "undefined") { %>
                <%- include('partials/top-release-chart.ejs', {releases: topTippedLastWeek, title: "top tipped", elementEndpoint: "top-tipped-period"}) %>
                <% } %>
            </div>

            <div class="pad10">
                <div class="event-header text-center subtle-text">new releases</div>
                <% if (user.primaryEmail == "") { %>
                <div class="mr5"><a href="/nav/profile" target="_top">Please add your email in the profile</a></div>
                <% } else { %>
                <% } %>
                <div class="de-refresh-button abs-top-right subtle-text clickable show-on-well-hover"
                     de-target-id="de-new-releases">
                    <i class="fa fa-refresh" aria-hidden="true"></i>
                </div>
                <div class="dynamic-element"
                     style="min-height: 180px"
                     id="de-new-releases"
                     de-limit="<%= ui.newReleases %>"
                     de-refresh-period="20"
                     de-refresh-offset="4"
                     de-url="/elements/release-events">
                    <%- include('partials/release-events.ejs', {releases: releases}) %>
                </div>

                <div class="event-header text-center subtle-text">new artists</div>
                <div class="de-refresh-button abs-top-right subtle-text clickable show-on-well-hover"
                     de-target-id="de-featured-artists">
                    <i class="fa fa-refresh" aria-hidden="true"></i>
                </div>
                <div class="dynamic-element"
                     id="de-featured-artists"
                     de-refresh-period="20"
                     de-refresh-offset="0"
                     de-limit="<%= ui.newArtists %>"
                     de-url="/elements/artist-events">
                    <%- include('partials/artist-events.ejs', {artists: featuredArtists}) %>
                </div>
            </div>
    </div>

    <%- include partials/player-hook.ejs %>
    <%- include partials/connect-with-us.ejs %>
</body>
</html>
